package com.persagy.calendar.service.impl;

import java.util.List;
import java.util.Set;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import com.persagy.calendar.mapper.WorkCalendarDictMapper;
import com.persagy.calendar.pojo.dto.WorkCalendarDict;
import com.persagy.calendar.pojo.vo.DictCodeCreate;
import com.persagy.calendar.service.IWorkCalendarDictService;
import com.persagy.db.service.impl.SuperServiceImpl;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月4日:	上午9:48:36
 */
@Service
public class WorkCalendarDictServiceImpl extends SuperServiceImpl<WorkCalendarDictMapper, WorkCalendarDict> implements IWorkCalendarDictService {

	@Override
	public boolean batchCreateOrUpdateDictType(WorkCalendarDict calendarDict, Set<String> diyValues) {
		Integer result = this.baseMapper.batchCreateOrUpdateDictType(calendarDict, diyValues);
		return SqlHelper.retBool(result);
	}

	@Override
	public boolean batchCreateOrUpdateDict(WorkCalendarDict calendarDict, List<DictCodeCreate> codes) {
		Integer result = this.baseMapper.batchCreateOrUpdateDict(calendarDict, codes);
		return SqlHelper.retBool(result);
	}
	
	@Override
	public boolean batchCreateCalendarDict(List<WorkCalendarDict> calendarDicts) {
		Integer result = this.baseMapper.batchCreateCalendarDict(calendarDicts);
		return SqlHelper.retBool(result);
	}

}
