package com.persagy.calendar.service;

import java.util.List;
import java.util.Set;

import com.persagy.calendar.pojo.dto.WorkCalendarDict;
import com.persagy.calendar.pojo.vo.DictCodeCreate;
import com.persagy.db.service.ISuperService;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月4日:	上午9:48:23
 */
public interface IWorkCalendarDictService extends ISuperService<WorkCalendarDict> {

	/**
	 * 批量创建字典类型
	 * 
	 * @param calendarDict
	 * @param diyValue
	 */
	boolean batchCreateOrUpdateDictType(WorkCalendarDict calendarDict, Set<String> diyValues);

	/**
	 * 批量创建字典类型
	 * 
	 * @param calendarDict
	 * @param codes
	 * @return
	 */
	boolean batchCreateOrUpdateDict(WorkCalendarDict calendarDict, List<DictCodeCreate> codes);

	/**
	 * 批量创建字典类型
	 * @param calendarDicts
	 * @return
	 */
	boolean batchCreateCalendarDict(List<WorkCalendarDict> calendarDicts);

}
